#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.17.0.1
visibility:           public
id:                   hledger-lib-1.17.0.1-6r2Bk6tRnLJKMCotkJoIsU
key:                  hledger-lib-1.17.0.1-6r2Bk6tRnLJKMCotkJoIsU
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    Core data types, parsers and functionality for the hledger accounting tools

description:
    This is a reusable library containing hledger'\''s core functionality.

    hledger is a cross-platform program for tracking money, time, or
    any other commodity, using double-entry accounting and a simple,
    editable file format. It is inspired by and largely compatible
    with ledger(1).  hledger provides command-line, terminal and web
    interfaces, and aims to be a reliable, practical tool for daily
    use.

category:             Finance
abi:                  3e4ca32ccb17ee030829da0812709106
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.8.3/site-local/hledger-lib-1.17.0.1
library-dirs:         /usr/lib/ghc-8.8.3/site-local/hledger-lib-1.17.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/hledger-lib-1.17.0.1
hs-libraries:         HShledger-lib-1.17.0.1-6r2Bk6tRnLJKMCotkJoIsU
depends:
    Decimal-0.5.1-2DaCqJIrcNyK2RVffjdwnr
    Glob-0.10.0-Cl83CULS6GT15w4ODRLXVN
    aeson-1.4.6.0-GeTJOGqZVuq2YsM7zVlr7H
    ansi-terminal-0.10.3-2mLj4sTjIwVaqOtXn4TV8 array-0.5.4.0
    base-4.13.0.0 base-compat-batteries-0.11.1-41kuqE0TuFbDs9K6r4jPZ0
    blaze-markup-0.8.2.3-p32oAP7imXDQCSuK8yXLb bytestring-0.10.10.0
    call-stack-0.2.0-KAf2NG7gVRMGRbumjnZjkq
    cassava-0.5.2.0-6ohY4bZDNQVCMIIRTAYmIG
    cassava-megaparsec-2.0.1-BXhI8tu23sLKYQ4jkN6SI8
    cmdargs-0.10.20-3vykGHDI4u11ZYJ5Aek1JG containers-0.6.2.1
    data-default-0.7.1.1-EftUPu9UviH5yKWklJYX5z deepseq-1.4.4.0
    directory-1.3.6.0 extra-1.7.1-6dQSJ9tk9QS6kAL3XqGBQd
    fgl-5.7.0.2-4BNrA3t8bhjDCx5OIGawr5
    file-embed-0.0.11.2-76jJzrpjGcdDpzOtgwH8dS filepath-1.4.2.1
    hashtables-1.2.3.4-KpVyt2qJX7I9WCXDNxV8kc
    megaparsec-8.0.0-5WcwqsODQnwDIcdinYlpUE mtl-2.2.2
    old-time-1.1.0.3-LFCo3WvTzIJ9XV4spupeM9 parsec-3.1.14.0
    parser-combinators-1.2.1-IRMw0PVyjClCzP4SjVbI21
    pretty-show-1.10-7q5amcqtFPNELOrR9L3gUm
    regex-tdfa-1.3.1.0-2thRUVc0Ew7ZsITrBIZey
    safe-0.3.18-77EtIZs3AFB4iOmOvdspYk
    split-0.2.3.4-Iq7NGP1D6FgEqhhoAnwS8D
    tabular-0.2.2.7-H8L3q3tfo0Y3tOiZWzAue2
    tasty-1.2.3-3qcLZRHNVQU7MUX0etB5Wh
    tasty-hunit-0.10.0.2-FcyldjkAG1WB3kajGbLcVd
    template-haskell-2.15.0.0 text-1.2.4.0 time-1.9.3
    timeit-2.0-C5F3nl9E9zYIMscybjdAzR transformers-0.5.6.2
    uglymemo-0.1.0.1-DFD8u6eNJY85JNumvVVja9
    utf8-string-1.0.1.1-IRxNMq5AVf036EceEkASq3

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

